#include <mex.h>
#include "HermiteLib.h"

/* mex interface to gaussHermiteQuadRule*/
void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[]) {
    /* Declarations **/
    double *x;
    double *w;
    int N;
    int k,j;

    /* Get input data */
    N = (int) mxGetScalar(prhs[0]);
    
    /* Allocate memory and assign output pointer (mxReal is our data-type) */
    plhs[0] = mxCreateDoubleMatrix(1, N, mxREAL);
    w = mxGetPr(plhs[0]);
    plhs[1] = mxCreateDoubleMatrix(1, N, mxREAL);
    x = mxGetPr(plhs[1]);
    
    gaussHermiteQuadRule(w,x,N);
    return;
}
